Daemon Power

The NetBSD Packages Collection: print/tex-todonotes

Brief description of the package:
Marking things to do in a LaTeX document

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://github.com/henrikmidtiby/todonotes.

Please note that this package has a lppl-1.3c license.

The package is located in the "print/tex-todonotes" directory. The current source version of the package is "tex-todonotes-1.1.2". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for print/tex-todonotes :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: tex-pgf-[0-9]* tex-graphics-[0-9]* tex-graphics-cfg-[0-9]* kpathsea>=3.5.7 mktexlsr-[0-9]* cwrappers>=20150314 tex-graphics-def-[0-9]* tex-latex-bin>=2009nb1 tex-babel>3.14 tex-carlisle>=2010 tex-cm-[0-9]* tex-texlive-scripts>=2020 kpathsea-[0-9]* tex-kpathsea>=2012nb1 tex-texlive.infra-[0-9]* perl>=5.0 tex-texlive-scripts-doc-[0-9]* luatex-[0-9]* zziplib>=0.10.82 harfbuzz>=2.1.1 glib2>=2.4.0 pcre>=3.4nb1 libffi>=1.20 pcre>=8.30nb1 libffi>=3.3nb1 meson-[0-9]* ninja-build>=1.7 python37>=3.7 libuuid>=2.18 readline>=2.2 readline>=6.0 python37>=3.7.0 re2c>=0.11.3 py37-setuptools-[0-9]* py37-expat-[0-9]* python37>=3.7.9 icu>=3.4 freetype2>=2.8.1 freetype2>=2.1.3 graphite2>=1.2 glib2>=2.64.0nb1 icu>=67.1 gtk-doc>=1.18 docbook-xml>=4.4nb1 xmlcatmgr>=2.0beta1 docbook-xsl>=1.68.1 docbook-xml>=4.2 py37-anytree-[0-9]* py37-six>=1.9.0 py37-lxml-[0-9]* libxml2>=2.9.2 libxml2>=2.6.2 libxslt>=1.1.27 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 libxml2>=2.9.10nb2 docbook-xml-[0-9]* docbook-xsl-[0-9]* libxslt>=1.1.8 libxslt>=1.1.34nb2 py37-pygments-[0-9]* pkgconf-[0-9]* itstool-[0-9]* py37-libxml2-[0-9]* libxml2>=2.9.10 py37-expat>=0 gnome-doc-utils>=0.8.0 py27-libxml2>=2.6.16 py27-libxslt>=1.1.12 py27-expat-[0-9]* py27-libxml2>=2.6.8 python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 py27-libxml2>=2.6.27 libxslt>=1.1.34 python27>=2.7.1nb2 docbook-xml>=4.5 getopt-[0-9]* bash-[0-9]* libxml2>=2.6.12 gobject-introspection>=0.6.14nb1 py37-cElementTree-[0-9]* glib2>=2.58.0 libffi>=3.0.0 gtk-doc>=1.32nb2 gobject-introspection>=1.62.0nb1 cairo>=1.0.0nb2 Xrender>=0.2 x11-links>=1.31 osabi-NetBSD-9.0_STABLE xorgproto>=2016.1 Xrender>=0.8.2 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 xcb-proto>=1.14 xcb-proto>=1.4 lzo>=2.01 fontconfig>=2.11.91 fontconfig>=2.1nb2 png>=1.2.4 pixman>=0.30.0 pixman>=0.25.2 Xrender>=0.9.0nb1 fontconfig>=2.13.1nb1 png>=1.6.0nb1 mpfr>=2.0.3 gmp>=5.0 gmp>=4.2.1 gmp>=5.0.1 kpathsea>=6.3.2 kpathsea>=6.0.0 poppler>=0.5.1 openjpeg>=2.1.0 lcms2>=2.2 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 tiff>=4.0.3nb5 nss>=3.43nb2 nspr>=4.25 nspr>=4.9.3.2 cairo>=1.16.0nb2 boost-headers-1.73.* boost-jam-1.73.* zziplib>=0.13.56 harfbuzz>=2.6.4nb2 mpfr>=4.0.0 poppler>=0.87.0nb1 poppler-includes>=0.22.2 poppler-includes>=0.87.0 ghostscript>=6.01 ghostscript-agpl-[0-9]* ghostscript-fonts>=6.0 libcups>=1.1.19nb3 dbus>=0.91 xmlto-[0-9]* docbook-xsl>=1.67.0nb1 libpaper>=1.1.22 gnutls>=3.3.0 mozilla-rootcerts-[0-9]* gmp>=6.0 libcfg+>=0.6.2nb1 libtasn1>=4.9 libtasn1>=0.2.7 nettle>=3.4.1 nettle>=2.4 p11-kit>=0.23.1 libtasn1>=0.3.0 p11-kit>=0.10 p11-kit>=0.23 libunistring>=0.9.3 libcfg+>=0.6.2nb3 nettle>=3.6 p11-kit>=0.23.15nb1 libunistring>=0.9.4 gnutls>=3.6.13nb2 freetype2>=2.10.0 libidn>=0.4.6 jbig2dec>=0.19 jbig2dec>=0.16 libcups>=2.3.3nb5 libidn>=1.20nb1 tex-latex-[0-9]* tex-latexconfig>=2011 tex-latex-fonts-[0-9]* tex-luatex-[0-9]* luatex>=0.60.1 tex-etex-[0-9]* tex-plain-[0-9]* tex-amsfonts-[0-9]* tex-hyphen-base-[0-9]* tex-knuth-lib-[0-9]* tex-hyph-utf8-[0-9]* tex-tex-ini-files-[0-9]* tex-pdftex-[0-9]* tex-dehyph-[0-9]* tex-dvips-[0-9]* tex-kpathsea-[0-9]* tex-updmap-map-[0-9]* web2c-[0-9]* kpathsea>=6.2.1 ptexenc>=1.3.7 ptexenc>=1.1.1 tex-plain>=3.14159265.12854 tex-unicode-data-[0-9]* tex-tools-[0-9]* tex-graphics>=1.0onb1 tex-latex>=2009 tex-latex>=2012 tex-ms-[0-9]* tex-footmisc-[0-9]* tex-koma-script-[0-9]* tex-xcolor-[0-9]* tex-colortbl-[0-9]* tex-latex-bin-[0-9]* tex-oberdiek-[0-9]* tex-amsmath-[0-9]* tex-auxhook-[0-9]* tex-etex-pkg-[0-9]* tex-grfext-[0-9]* tex-infwarerr-[0-9]* tex-kvdefinekeys-[0-9]* tex-ltxcmds-[0-9]* tex-grffile-[0-9]* tex-iftex-[0-9]* tex-kvoptions-[0-9]* tex-pdftexcmds-[0-9]* tex-xkeyval-[0-9]* .

This package requires the following package(s) to run: tex-pgf-[0-9]* tex-graphics-[0-9]* tex-graphics-cfg-[0-9]* kpathsea>=3.5.7 mktexlsr-[0-9]* tex-graphics-def-[0-9]* tex-latex-bin>=2009nb1 tex-babel>3.14 tex-carlisle>=2010 tex-cm-[0-9]* tex-texlive-scripts>=2020 kpathsea-[0-9]* tex-kpathsea>=2012nb1 tex-texlive.infra-[0-9]* perl>=5.0 tex-texlive-scripts-doc-[0-9]* luatex-[0-9]* zziplib>=0.10.82 harfbuzz>=2.1.1 glib2>=2.4.0 pcre>=3.4nb1 libffi>=1.20 pcre>=8.30nb1 libffi>=3.3nb1 icu>=3.4 freetype2>=2.8.1 freetype2>=2.1.3 graphite2>=1.2 glib2>=2.64.0nb1 icu>=67.1 cairo>=1.0.0nb2 Xrender>=0.2 Xrender>=0.8.2 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 lzo>=2.01 fontconfig>=2.11.91 fontconfig>=2.1nb2 png>=1.2.4 pixman>=0.30.0 pixman>=0.25.2 Xrender>=0.9.0nb1 fontconfig>=2.13.1nb1 png>=1.6.0nb1 mpfr>=2.0.3 gmp>=5.0 gmp>=4.2.1 gmp>=5.0.1 kpathsea>=6.3.2 kpathsea>=6.0.0 poppler>=0.5.1 openjpeg>=2.1.0 lcms2>=2.2 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 tiff>=4.0.3nb5 nss>=3.43nb2 nspr>=4.25 nspr>=4.9.3.2 cairo>=1.16.0nb2 zziplib>=0.13.56 harfbuzz>=2.6.4nb2 mpfr>=4.0.0 poppler>=0.87.0nb1 ghostscript>=6.01 ghostscript-agpl-[0-9]* ghostscript-fonts>=6.0 libcups>=1.1.19nb3 dbus>=0.91 libpaper>=1.1.22 gnutls>=3.3.0 mozilla-rootcerts-[0-9]* gmp>=6.0 libcfg+>=0.6.2nb1 libtasn1>=4.9 libtasn1>=0.2.7 nettle>=3.4.1 nettle>=2.4 p11-kit>=0.23.1 mozilla-rootcerts>=1.0.20150804nb1 libtasn1>=0.3.0 p11-kit>=0.10 p11-kit>=0.23 libunistring>=0.9.3 libcfg+>=0.6.2nb3 nettle>=3.6 p11-kit>=0.23.15nb1 libunistring>=0.9.4 gnutls>=3.6.13nb2 freetype2>=2.10.0 libidn>=0.4.6 jbig2dec>=0.19 jbig2dec>=0.16 libcups>=2.3.3nb5 libidn>=1.20nb1 tex-latex-[0-9]* tex-latexconfig>=2011 tex-latex-fonts-[0-9]* tex-luatex-[0-9]* luatex>=0.60.1 tex-etex-[0-9]* tex-plain-[0-9]* tex-amsfonts-[0-9]* tex-hyphen-base-[0-9]* tex-knuth-lib-[0-9]* tex-hyph-utf8-[0-9]* tex-tex-ini-files-[0-9]* tex-pdftex-[0-9]* tex-dehyph-[0-9]* tex-dvips-[0-9]* tex-kpathsea-[0-9]* tex-updmap-map-[0-9]* web2c-[0-9]* kpathsea>=6.2.1 ptexenc>=1.3.7 ptexenc>=1.1.1 tex-plain>=3.14159265.12854 tex-unicode-data-[0-9]* tex-tools-[0-9]* tex-graphics>=1.0onb1 tex-latex>=2009 tex-latex>=2012 tex-ms-[0-9]* tex-footmisc-[0-9]* tex-koma-script-[0-9]* tex-xcolor-[0-9]* tex-colortbl-[0-9]* tex-latex-bin-[0-9]* tex-oberdiek-[0-9]* tex-amsmath-[0-9]* tex-auxhook-[0-9]* tex-etex-pkg-[0-9]* tex-grfext-[0-9]* tex-infwarerr-[0-9]* tex-kvdefinekeys-[0-9]* tex-ltxcmds-[0-9]* tex-grffile-[0-9]* tex-iftex-[0-9]* tex-kvoptions-[0-9]* tex-pdftexcmds-[0-9]* tex-xkeyval-[0-9]* .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
aarch64:tex-todonotes-1.1.2.tgz(NetBSD 9.0)
aarch64:tex-todonotes-1.1.2.tgz(NetBSD 9.0)
aarch64:tex-todonotes-1.1.2.tgz(NetBSD 9.0)
alpha:tex-todonotes-1.1.2.tgz(NetBSD 8.0)
earm:tex-todonotes-1.0.4.tgz(NetBSD 7.0)
earm:tex-todonotes-1.1.2.tgz(NetBSD 8.0)
earm:tex-todonotes-1.1.2.tgz(NetBSD 8.0)
earmv4:tex-todonotes-1.1.2.tgz(NetBSD 8.0)
earmv6hf:tex-todonotes-1.1.2.tgz(NetBSD 8.0)
earmv6hf:tex-todonotes-1.1.2.tgz(NetBSD 9.0)
earmv6hf:tex-todonotes-1.1.2.tgz(NetBSD 9.0)
earmv7hf:tex-todonotes-1.1.2.tgz(NetBSD 8.0)
earmv7hf:tex-todonotes-1.1.2.tgz(NetBSD 8.0)
earmv7hf:tex-todonotes-1.1.2.tgz(NetBSD 9.0)
earmv7hf:tex-todonotes-1.1.2.tgz(NetBSD 9.0)
i386:tex-todonotes-1.1.2.tgz(NetBSD 9.0)
i386:tex-todonotes-1.1.2.tgz(NetBSD 7.0)
i386:tex-todonotes-1.1.2.tgz(NetBSD 7.0)
i386:tex-todonotes-1.1.2.tgz(NetBSD 7.1)
i386:tex-todonotes-1.1.2.tgz(NetBSD 7.1)
i386:tex-todonotes-1.1.2.tgz(NetBSD 8.0)
i386:tex-todonotes-1.1.2.tgz(NetBSD 8.0)
i386:tex-todonotes-1.1.2.tgz(NetBSD 8.0)
i386:tex-todonotes-1.1.2.tgz(NetBSD 8.0)
i386:tex-todonotes-1.1.2.tgz(NetBSD 9.0)
i386:tex-todonotes-1.1.2.tgz(NetBSD 9.0)
i386:tex-todonotes-1.1.2.tgz(NetBSD 9.0)
mips64eb:tex-todonotes-1.1.2.tgz(NetBSD 8.0)
mips64eb:tex-todonotes-1.1.2.tgz(NetBSD 9.0)
powerpc:tex-todonotes-1.0.5.tgz(NetBSD 7.1)
powerpc:tex-todonotes-1.1.2.tgz(NetBSD 9.0)
powerpc:tex-todonotes-1.1.2.tgz(NetBSD 9.0)
sparc64:tex-todonotes-1.1.2.tgz(NetBSD 8.0)
sparc64:tex-todonotes-1.1.2.tgz(NetBSD 9.0)
x86_64:tex-todonotes-1.0.5.tgz(Linux 4.15.0)
x86_64:tex-todonotes-1.1.2.tgz(NetBSD 9.0)
x86_64:tex-todonotes-1.1.2.tgz(NetBSD 9.0)
x86_64:tex-todonotes-1.1.2.tgz(NetBSD 9.0)
x86_64:tex-todonotes-1.1.2.tgz(NetBSD 7.0)
x86_64:tex-todonotes-1.1.2.tgz(NetBSD 7.0)
x86_64:tex-todonotes-1.1.2.tgz(NetBSD 7.1)
x86_64:tex-todonotes-1.1.2.tgz(NetBSD 7.1)
x86_64:tex-todonotes-1.1.2.tgz(NetBSD 8.0)
x86_64:tex-todonotes-1.1.2.tgz(NetBSD 8.0)
x86_64:tex-todonotes-1.1.2.tgz(NetBSD 8.0)
x86_64:tex-todonotes-1.1.2.tgz(NetBSD 8.0)
x86_64:tex-todonotes-1.1.2.tgz(NetBSD 9.0)
x86_64:tex-todonotes-1.1.2.tgz(NetBSD 9.0)
x86_64:tex-todonotes-1.1.2.tgz(NetBSD 9.0)
x86_64:tex-todonotes-1.1.2.tgz(NetBSD 9.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]